Index: src/includes/classes/Smarty/sysplugins/smarty_internal_resource_registered.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_resource_registered.php	(revision 54b5657ad2e80eb6f9bf910415d8a992a8b6d777)
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_resource_registered.php	(revision )
@@ -76,12 +76,13 @@
     public function getContent(Smarty_Template_Source $source)
     {
         // return template string
-        $t = call_user_func_array($source->smarty->registered_resources[$source->type][0][0], array($source->name, &$source->content, $source->smarty));
+        $content = null;
+        $t = call_user_func_array($source->smarty->registered_resources[$source->type][0][0], array($source->name, &$content, $source->smarty));
         if (is_bool($t) && !$t) {
             throw new SmartyException("Unable to read template {$source->type} '{$source->name}'");
         }
 
-        return $source->content;
+        return $content;
     }
 
     /**
@@ -91,7 +92,7 @@
      *
      * @return string                 resource's basename
      */
-    protected function getBasename(Smarty_Template_Source $source)
+    public function getBasename(Smarty_Template_Source $source)
     {
         return basename($source->name);
     }
Index: src/includes/classes/Smarty/plugins/function.cycle.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/plugins/function.cycle.php	(revision 54b5657ad2e80eb6f9bf910415d8a992a8b6d777)
+++ src/includes/classes/Smarty/plugins/function.cycle.php	(revision )
@@ -1,0 +1,0 @@
Index: src/includes/classes/Smarty/sysplugins/smarty_internal_compile_private_object_block_function.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_compile_private_object_block_function.php	(revision 54b5657ad2e80eb6f9bf910415d8a992a8b6d777)
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_compile_private_object_block_function.php	(revision )
@@ -27,15 +27,15 @@
     /**
      * Compiles code for the execution of block plugin
      *
-     * @param  array  $args      array with attributes from parser
+     * @param  array                                $args      array with attributes from parser
-     * @param  object $compiler  compiler object
+     * @param \Smarty_Internal_TemplateCompilerBase $compiler  compiler object
-     * @param  array  $parameter array with compilation parameter
+     * @param  array                                $parameter array with compilation parameter
-     * @param  string $tag       name of block object
+     * @param  string                               $tag       name of block object
-     * @param  string $method    name of method to call
+     * @param  string                               $method    name of method to call
      *
      * @return string compiled code
      */
-    public function compile($args, $compiler, $parameter, $tag, $method)
+    public function compile($args, Smarty_Internal_TemplateCompilerBase $compiler, $parameter, $tag, $method)
     {
         if (!isset($tag[5]) || substr($tag, - 5) != 'close') {
             // opening tag of block plugin
@@ -60,7 +60,8 @@
             // maybe nocache because of nocache variables or nocache plugin
             $compiler->nocache = $compiler->nocache | $compiler->tag_nocache;
             // compile code
-            $output = "<?php \$_smarty_tpl->smarty->_tag_stack[] = array('{$tag}->{$method}', {$_params}); \$_block_repeat=true; echo \$_smarty_tpl->smarty->registered_objects['{$tag}'][0]->{$method}({$_params}, null, \$_smarty_tpl, \$_block_repeat);while (\$_block_repeat) { ob_start();?>";
+            $output =
+                "<?php \$_smarty_tpl->smarty->_cache['tag_stack'][] = array('{$tag}->{$method}', {$_params}); \$_block_repeat=true; echo \$_smarty_tpl->smarty->registered_objects['{$tag}'][0]->{$method}({$_params}, null, \$_smarty_tpl, \$_block_repeat);while (\$_block_repeat) { ob_start();?>";
         } else {
             $base_tag = substr($tag, 0, - 5);
             // must endblock be nocache?
@@ -76,9 +77,13 @@
                 $mod_pre = $mod_post = '';
             } else {
                 $mod_pre = ' ob_start(); ';
-                $mod_post = 'echo ' . $compiler->compileTag('private_modifier', array(), array('modifierlist' => $parameter['modifier_list'], 'value' => 'ob_get_clean()')) . ';';
+                $mod_post = 'echo ' . $compiler->compileTag('private_modifier', array(),
+                                                            array('modifierlist' => $parameter['modifier_list'],
+                                                                  'value'        => 'ob_get_clean()')) . ';';
             }
-            $output = "<?php \$_block_content = ob_get_contents(); ob_end_clean(); \$_block_repeat=false;" . $mod_pre . " echo \$_smarty_tpl->smarty->registered_objects['{$base_tag}'][0]->{$method}({$_params}, \$_block_content, \$_smarty_tpl, \$_block_repeat); " . $mod_post . "  } array_pop(\$_smarty_tpl->smarty->_tag_stack);?>";
+            $output = "<?php \$_block_content = ob_get_clean(); \$_block_repeat=false;" . $mod_pre .
+                " echo \$_smarty_tpl->smarty->registered_objects['{$base_tag}'][0]->{$method}({$_params}, \$_block_content, \$_smarty_tpl, \$_block_repeat); " .
+                $mod_post . "  } array_pop(\$_smarty_tpl->smarty->_cache['tag_stack']);?>";
         }
 
         return $output . "\n";
Index: src/includes/classes/Smarty/sysplugins/smarty_internal_undefined.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_undefined.php	(revision )
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_undefined.php	(revision )
@@ -0,0 +1,48 @@
+<?php
+
+/**
+ * Smarty Method AppendByRef
+ *
+ * Smarty::appendByRef() method
+ *
+ * @package    Smarty
+ * @subpackage PluginsInternal
+ * @author     Uwe Tews
+ */
+class Smarty_Internal_Undefined
+{
+
+    /**
+     * This function is executed automatically when a compiled or cached template file is included
+     * - Decode saved properties from compiled template and cache files
+     * - Check if compiled or cache file is valid
+     *
+     * @param  array $properties special template properties
+     * @param  bool  $cache      flag if called from cache file
+     *
+     * @return bool  flag if compiled or cache file is valid
+     */
+    public function decodeProperties($tpl, $properties, $cache = false)
+    {
+        if ($cache) {
+            $tpl->cached->valid = false;
+        } else {
+            $tpl->mustCompile = true;
+        }
+        return false;
+    }
+
+    /**
+     * Call error handler for undefined method
+     *
+     * @param string $name unknown method-name
+     * @param array  $args argument array
+     *
+     * @return mixed
+     * @throws SmartyException
+     */
+    public function __call($name, $args)
+    {
+        throw new SmartyException(get_class($args[0]) . "->{$name}() undefined method");
+    }
+}
\ No newline at end of file
